eoPopEvalFunc(3)

NAME
eoPopEvalFunc - eoPopEvalFunc: This abstract class is for GLOBAL evaluators of a population after variation.

SYNOPSIS

#include <eoPopEvalFunc.h>

Inherits eoBF< eoPop< EOT > &, eoPop< EOT > &, void >.

Inherited by eoPopLoopEval< EOT >, and eoTimeVaryingLoopEval< EOT >.

Detailed Description

  template<class EOT> class eoPopEvalFunc< EOT >
eoPopEvalFunc: This abstract class is for GLOBAL evaluators of a population after variation. It takes 2 populations (typically the parents and the offspring) and is suppposed to evaluate them alltogether

Basic use: apply an embedded eoEvalFunc to the offspring

Time-varying fitness: apply the embedded eoEvalFunc to both offspring and parents

Advanced uses: Co-evolution or 'parisian' approach, or ...

Basic parallelization (synchronous standard evolution engine): call the slaves and wait for the results

Definition at line 49 of file eoPopEvalFunc.h.

Author

Generated automatically by Doxygen for EO from the source code.